{
  "schema_version": "1.4.0",
  "id": "GHSA-6558-x489-9qhw",
  "modified": "2022-05-24T19:09:12Z",
  "published": "2022-05-24T19:09:12Z",
  "aliases": [
    "CVE-2021-31292"
  ],
  "details": "An integer overflow in CrwMap::encode0x1810 of Exiv2 0.27.3 allows attackers to trigger a heap-based buffer overflow and cause a denial of service (DOS) via crafted metadata.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2021-31292"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Exiv2/exiv2/issues/1530"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2021/08/msg00028.html"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FMDT4PJB7P43WSOM3TRQIY3J33BAFVVE"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/UYGDELIFFJWKUU7SO3QATCIXCZJERGAC"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2021/dsa-4958"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2021-07-26T17:15:00Z"
  }
}